<div class="container">
  <div class="row">
    <div class="col-md-4 mr-2">
      <h2 class="title mt-2 mb-3" id="title">Registration Form</h2>
      <img
        src="../../assets/Fitness tracker-rafiki.png"
        alt="gym-registration"
        class="img-fluid"
      />
    </div>
    <div class="col-md-8 ml-2">
      <div class="form-container">
        <div class="form-group">
          <label for="role">Select Role:</label>
          <select
            id="role"
            [(ngModel)]="isTrainee"
            (change)="toggleRole($event)"
            class="form-control"
          >
            <option value="true">Trainee</option>
            <option value="false">Trainer</option>
          </select>
        </div>

        <form [formGroup]="registrationForm" (ngSubmit)="onSubmit()">
          <div class="form-group">
            <label for="firstName">First Name:</label>
            <input
              type="text"
              id="firstName"
              formControlName="firstName"
              class="form-control"
            />
          </div>
          <div class="form-group">
            <label for="lastName">Last Name:</label>
            <input
              type="text"
              id="lastName"
              formControlName="lastName"
              class="form-control"
            />
          </div>

          <div class="form-group">
            <label for="email">Email:</label>
            <input
              type="email"
              id="email"
              formControlName="email"
              class="form-control"
            />
          </div>

          <div *ngIf="!isTrainee" class="form-group">
            <label for="specialization">Specialization:</label>
            <mat-select
              id="specialization"
              formControlName="specialization"
              class="form-control"
            >
              <mat-option
                *ngFor="let option of specializationOptions"
                [value]="option"
                >{{ option }}</mat-option
              >
            </mat-select>
          </div>

          <div *ngIf="isTrainee" class="form-group">
            <label for="dob">Date of Birth:</label>
            <input
              type="date"
              id="dob"
              formControlName="dob"
              class="form-control"
            />
          </div>

          <div *ngIf="isTrainee" class="form-group">
            <label for="address">Address:</label>
            <input
              type="text"
              id="address"
              formControlName="address"
              class="form-control"
            />
          </div>

          <button
            type="submit"
            [disabled]="registrationForm.invalid"
            class="submit-button"
          >
            Submit
          </button>
        </form>
      </div>

      <div *ngIf="registrationSuccess" class="hidden-fields">
        <h3 class="hidden">Registration Successful!</h3>
        <p class="hidden">Username: {{ username }}</p>
        <p class="hidden">Password: {{ password }}</p>
      </div>
    </div>
  </div>
</div>
